---
title: Request.referrer
slug: Web/API/Request/referrer
tags:
  - API
  - Experimental
  - Fetch
  - Property
  - Reference
  - referrer
  - request
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>referrer</code></strong> read-only property of the {{domxref("Request")}} interface is set by the user agent to be the referrer of the Request. (e.g., <code>client</code>, <code>no-referrer</code>, or a URL.)</p>

<div class="note">
<p><strong>Note</strong>: If <code>referrer</code>'s value is <code>no-referrer</code>, it returns an empty string.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myReferrer</var> = <var>request</var>.referrer;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the request's referrer.</p>

<h2 id="Example">Example</h2>

<p>In the following snippet, we create a new request using the {{domxref("Request.Request()")}} constructor (for an image file in the same directory as the script), then save the request referrer in a variable:</p>

<pre class="brush: js">var myRequest = new Request('flowers.jpg');
var myReferrer = myRequest.referrer; // returns "about:client" by default</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-request-referrer','referrer')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Request.referrer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
